Debian Bug report logs - #701379
clisp: ftbfs with eglibc-2.17

version graph

Package: src:clisp; Maintainer for src:clisp is Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Sat, 23 Feb 2013 11:36:03 UTC

Severity: serious

Tags: jessie, sid

Found in version clisp/1:2.49-8.1

Fixed in version clisp/1:2.49-8.2

Done: Peter Michael Green <plugwash@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#701379; Package src:clisp. (Sat, 23 Feb 2013 11:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Sat, 23 Feb 2013 11:36:06 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: clisp: ftbfs with eglibc-2.17
Date: Sat, 23 Feb 2013 11:34:17 +0000
Package: src:clisp
Version: 1:2.49-8.1
Severity: important
Tags: sid jessie
User: debian-glibc@lists.debian.org
Usertags: ftbfs-glibc-2.17

The package fails to build in a test rebuild on at least amd64 with
eglibc-2.17, but succeeds to build with eglibc-2.13. The
severity of this report may be raised before the jessie release.

The test rebuild was done together with GCC-4.8, so some issues
might be caused by the updated GCC as well.

  ipctypes.h:20:3: error: #error "Never use <bits/ipctypes.h> directly; include <sys/ipc.h> instead."

The full build log can be found at:
http://people.debian.org/~doko/logs-20130217/gcc48/clisp_2.49-8.1_unstable_gcc48.log
The last lines of the build log are at the end of this report.

To install eglibc from experimental,

  apt-get -t experimental install libc6-dev

To build with GCC 4.8, either set CC=gcc-4.8 CXX=g++-4.8 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

  apt-get -t experimental install g++ g++-4.7 g++-4.8 libc6-dev


[...]
make[2]: Leaving directory `/«PKGBUILDDIR»/debian/build/readline'
mkdir -p bindings/glibc
m=`cd /«PKGBUILDDIR»/modules/bindings/glibc; pwd`; \
	if test -f $m/configure -a $m/configure -nt bindings/glibc/config.status ; then ( cd bindings/glibc ; rm -rf gllib;\
	    cache=`echo bindings/glibc/ | sed -e 's,[^/][^/]*//*,../,g'`config.cache; \
	    if test -f ${cache} ; then \
	      . ${cache}; \
	      if test "${ac_cv_env_CC_set}" = set; then CC="${ac_cv_env_CC_value}"; export CC; fi; \
	      if test "${ac_cv_env_CFLAGS_set}" = set; then CFLAGS="${ac_cv_env_CFLAGS_value}"; export CFLAGS; fi; \
	      if test "${ac_cv_env_LDFLAGS_set}" = set; then LDFLAGS="${ac_cv_env_LDFLAGS_value}"; export LDFLAGS; fi; \
	      if test "${ac_cv_env_CLFLAGS_set}" = set; then CLFLAGS="${ac_cv_env_CLFLAGS_value}"; export CLFLAGS; fi; \
	      if test "${ac_cv_env_LIBS_set}" = set; then LIBS="${ac_cv_env_LIBS_value}"; export LIBS; fi; \
	      if test "${ac_cv_env_CPPFLAGS_set}" = set; then CPPFLAGS="${ac_cv_env_CPPFLAGS_value}"; export CPPFLAGS; fi; \
	      if test "${ac_cv_env_CPP_set}" = set; then CPP="${ac_cv_env_CPP_value}"; export CPP; fi; \
	      if test "${ac_cv_env_CXX_set}" = set; then CXX="${ac_cv_env_CXX_value}"; export CXX; fi; \
	      if test "${ac_cv_env_CXXFLAGS_set}" = set; then CXXFLAGS="${ac_cv_env_CXXFLAGS_value}"; export CXXFLAGS; fi; \
	      if test "${ac_cv_env_X_LIBS_set}" = set; then X_LIBS="${ac_cv_env_X_LIBS_value}"; export X_LIBS; fi; \
	      /bin/bash $m/configure --with-clisp="/«PKGBUILDDIR»/debian/build/clisp -K boot  -E UTF-8 -Epathname 1:1 -Emisc 1:1 -norc" --cache-file=${cache} --srcdir=$m --disable-option-checking;\
	    else \
	      /bin/bash $m/configure --srcdir=$m --disable-option-checking; \
	    fi ) ;\
	fi; \
	test -f $m/Makefile -a $m/Makefile -nt bindings/glibc/Makefile && sed "s,srcdir = .,srcdir = $m," "$m/Makefile" > bindings/glibc/Makefile ; \
	CLISP="/«PKGBUILDDIR»/debian/build/clisp -K boot  -E UTF-8 -Epathname 1:1 -Emisc 1:1 -norc" ; \
	cd bindings/glibc ; /usr/bin/make clisp-module CC="gcc" CPPFLAGS="-I/«PKGBUILDDIR»/debian/build/gllib -I/«PKGBUILDDIR»/debian/build" CFLAGS="-falign-functions=4 -W -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type -Wmissing-declarations -Wno-sign-compare -Wno-format-nonliteral -O -falign-functions=4 -DENABLE_UNICODE -DDYNAMIC_FFI -DDYNAMIC_MODULES -I. -fPIC" CLFLAGS=" -Wl,--export-dynamic" LIBS="-lreadline -lncurses -ldl /usr/lib/libavcall.so /usr/lib/libcallback.so  -L/usr/lib -lsigsegv libgnu_cl.a" RANLIB="ranlib" CLISP="$CLISP -q" SHREXT=.so
make[2]: Entering directory `/«PKGBUILDDIR»/debian/build/bindings/glibc'
/«PKGBUILDDIR»/debian/build/clisp -K boot  -E UTF-8 -Epathname 1:1 -Emisc 1:1 -norc -q -c /«PKGBUILDDIR»/modules/bindings/glibc/linux.lisp -o ./
;; Compiling file /«PKGBUILDDIR»/modules/bindings/glibc/linux.lisp ...
;; Wrote file /«PKGBUILDDIR»/debian/build/bindings/glibc/linux.fas
;; Wrote file /«PKGBUILDDIR»/debian/build/bindings/glibc/linux.c
0 errors, 0 warnings
gcc -I/«PKGBUILDDIR»/debian/build/gllib -I/«PKGBUILDDIR»/debian/build -falign-functions=4 -W -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type -Wmissing-declarations -Wno-sign-compare -Wno-format-nonliteral -O -falign-functions=4 -DENABLE_UNICODE -DDYNAMIC_FFI -DDYNAMIC_MODULES -I. -fPIC -I$(/«PKGBUILDDIR»/debian/build/clisp -K boot  -E UTF-8 -Epathname 1:1 -Emisc 1:1 -norc -q -b)/linkkit -c linux.c
In file included from linux.c:6:0:
/usr/include/x86_64-linux-gnu/bits/ipctypes.h:20:3: error: #error "Never use <bits/ipctypes.h> directly; include <sys/ipc.h> instead."
 # error "Never use <bits/ipctypes.h> directly; include <sys/ipc.h> instead."
   ^
linux.c: In function 'module__linux__init_function_1':
linux.c:613:47: error: '__swblk_t' undeclared (first use in this function)
   register_foreign_inttype("__swblk_t",sizeof(__swblk_t),(__swblk_t)-1<=(__swblk_t)0);
                                               ^
linux.c:613:47: note: each undeclared identifier is reported only once for each function it appears in
linux.c:613:84: error: expected ')' before numeric constant
   register_foreign_inttype("__swblk_t",sizeof(__swblk_t),(__swblk_t)-1<=(__swblk_t)0);
                                                                                    ^
make[2]: *** [linux.o] Error 1
make[2]: Leaving directory `/«PKGBUILDDIR»/debian/build/bindings/glibc'
make[1]: *** [bindings/glibc] Error 2
make[1]: Leaving directory `/«PKGBUILDDIR»/debian/build'
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2



Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:40:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#701379; Package src:clisp. (Tue, 07 May 2013 22:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Tue, 07 May 2013 22:33:07 GMT) Full text and rfc822 format available.

Message #12 received at 701379@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 684631@bugs.debian.org, 701379@bugs.debian.org
Subject: clisp NMU updated
Date: Tue, 07 May 2013 23:29:16 +0100
[Message part 1 (text/plain, inline)]
Since the new eglibc was uploaded to unstable I have updated my NMU of 
clisp to fix the build failure with it. The old version of the nmu has 
been cancelled and the newversion uploaded to delayed/3, i've attatched 
the debdiff for the new version of the NMU to this mail.

Again please tell me if you have any objections to this upload.
[clisp.debdiff (text/plain, attachment)]

Severity set to 'serious' from 'important' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Thu, 09 May 2013 08:14:12 GMT) Full text and rfc822 format available.

Reply sent to Peter Michael Green <plugwash@debian.org>:
You have taken responsibility. (Fri, 10 May 2013 22:51:16 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Fri, 10 May 2013 22:51:16 GMT) Full text and rfc822 format available.

Message #19 received at 701379-close@bugs.debian.org (full text, mbox):

From: Peter Michael Green <plugwash@debian.org>
To: 701379-close@bugs.debian.org
Subject: Bug#701379: fixed in clisp 1:2.49-8.2
Date: Fri, 10 May 2013 22:48:11 +0000
Source: clisp
Source-Version: 1:2.49-8.2

We believe that the bug you reported is fixed in the latest version of
clisp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701379@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Michael Green <plugwash@debian.org> (supplier of updated clisp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 07 May 2013 20:39:13 +0000
Source: clisp
Binary: clisp clisp-dev clisp-doc clisp-module-berkeley-db clisp-module-pcre clisp-module-bindings-glibc clisp-module-postgresql clisp-module-clx clisp-module-rawsock clisp-module-dbus clisp-module-wildcard clisp-module-gdbm clisp-module-zlib
Architecture: source all amd64
Version: 1:2.49-8.2
Distribution: unstable
Urgency: low
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Changed-By: Peter Michael Green <plugwash@debian.org>
Description: 
 clisp      - GNU CLISP, a Common Lisp implementation
 clisp-dev  - GNU CLISP, a Common Lisp implementation (development files)
 clisp-doc  - GNU CLISP, a Common Lisp implementation (documentation)
 clisp-module-berkeley-db - clisp module that adds an interface to Berkeley DB
 clisp-module-bindings-glibc - clisp module that adds the glibc bindings
 clisp-module-clx - clisp module that adds X11 bindings
 clisp-module-dbus - clisp module that adds an interface to D-Bus
 clisp-module-gdbm - clisp module that adds an interface to GNU DBM
 clisp-module-pcre - clisp module that adds libpcre support
 clisp-module-postgresql - clisp module that adds a PostgreSQL interface
 clisp-module-rawsock - clisp module that adds a low level socket interface
 clisp-module-wildcard - clisp module that adds wildcard matching
 clisp-module-zlib - clisp module that adds zlib support for vectors
Closes: 684631 701379
Changes: 
 clisp (1:2.49-8.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add armhf to architecture lists
   * Build with -marm on armhf  due to thumb incompatible code (specifically
     code that does not like odd function pointers)
   * apply patch from sourceforce to fix illegal instruction error on newer
     arm hardware caused by arm assembler (thanks to jerry james and tomfor)
     (closes: 684631)
   * Fix build errors with eglibc 2.17 (closes: 701379)
Checksums-Sha1: 
 3b7c36e1b0dbb5aca8bc68021de663e5cbb92242 3215 clisp_2.49-8.2.dsc
 76da256412736effd94f19d413ab78f2c4451b58 32366 clisp_2.49-8.2.debian.tar.gz
 6f8f72361684a9eceb4ee67ea401f9d7bb4d98c1 1209030 clisp-doc_2.49-8.2_all.deb
 a60c664e5046fe23fbbddbf377698cdc85e15ca9 3117502 clisp_2.49-8.2_amd64.deb
 40b9eed417ca236c76ad5c5ceb9e8f3e4829671b 1638956 clisp-dev_2.49-8.2_amd64.deb
 83167f892d60088cbb71625500638c8fd135f234 714198 clisp-module-berkeley-db_2.49-8.2_amd64.deb
 a01cad19cdef381d4bb8eb5e736f5c145038b7b0 625100 clisp-module-pcre_2.49-8.2_amd64.deb
 d681af02f7affff6a502ed0aa11d6a5426a039b1 741974 clisp-module-bindings-glibc_2.49-8.2_amd64.deb
 ee08c2adfd7a31be864b586bf5b0ef9897470056 644792 clisp-module-postgresql_2.49-8.2_amd64.deb
 88dbc781246c6c591f8a74e7dd707e05bfb26368 953208 clisp-module-clx_2.49-8.2_amd64.deb
 a3cb084fb22712f79605045ccfe56968f55a4a19 664954 clisp-module-rawsock_2.49-8.2_amd64.deb
 e7d0dca96d63a690a6fd8959b457b5be79776f14 679654 clisp-module-dbus_2.49-8.2_amd64.deb
 2df0c1abcb29c93ee9dbe931d551e47fc78fd6fc 611050 clisp-module-wildcard_2.49-8.2_amd64.deb
 c6260880095df0061c04ab5127d6fdf006d45235 633434 clisp-module-gdbm_2.49-8.2_amd64.deb
 9b5c2d4fa5e30aec49e524af28b376b9cdbc534f 611988 clisp-module-zlib_2.49-8.2_amd64.deb
Checksums-Sha256: 
 dbe4c0a7fa58d83c9e324487e84cfb07c72da7ca0003b5307f05b6ec7d645a64 3215 clisp_2.49-8.2.dsc
 2d24ea3b726b9b97451cf43be775b128856715cc387e31e60e61329593d4d72a 32366 clisp_2.49-8.2.debian.tar.gz
 00bb87554400112d528ac167ad763573df554052cb635ed70a4c41e989931309 1209030 clisp-doc_2.49-8.2_all.deb
 66d1b4e61188ae8470435365018315b90bd78f92e6944faa82984f04d609ba4f 3117502 clisp_2.49-8.2_amd64.deb
 a9c6338fb06db90caf7af165982fa8102eef113f17722da43a2d91680212d60d 1638956 clisp-dev_2.49-8.2_amd64.deb
 d5a5be438a4c5d608d148cac80184e733f0f01bc299e873e45743788c5761b2e 714198 clisp-module-berkeley-db_2.49-8.2_amd64.deb
 c35154a5c62ac319d6533e03d35d44618acb87513f78677f46332d85090b2c5b 625100 clisp-module-pcre_2.49-8.2_amd64.deb
 db915f991ae25ef64ec7af79c14959ff387c40edfa86f8cb02c2972f18c1223c 741974 clisp-module-bindings-glibc_2.49-8.2_amd64.deb
 14d1c4fd67bd950c5d343ab7d7fba7be706379eee79089f09b24a148bd6aa302 644792 clisp-module-postgresql_2.49-8.2_amd64.deb
 3c5553caeb38a0bf5ebe6bd3b2f44e4935a15e491bbaf2825274741a1f6db6ac 953208 clisp-module-clx_2.49-8.2_amd64.deb
 8b397797b86adcc7cb5aced256536459e0a492f478c102e1faef423e5ed330b1 664954 clisp-module-rawsock_2.49-8.2_amd64.deb
 3cc9f947b9159f007efd97f96def3e062e5d68911ea80f145bcebf7abf34094b 679654 clisp-module-dbus_2.49-8.2_amd64.deb
 741fedc893ba5fa98b953e0139f5bcfb2dc4724fa7c2dfce3d883aced3c04636 611050 clisp-module-wildcard_2.49-8.2_amd64.deb
 c802c8f6155563f7da7605cbebeaaaaa126d69135f6453cfd9515dd8b533f4e6 633434 clisp-module-gdbm_2.49-8.2_amd64.deb
 8c9d65724ca27c6691b10e26998a8ea045228c66e3336b63f68d9a30781bf716 611988 clisp-module-zlib_2.49-8.2_amd64.deb
Files: 
 19ff187626153192a49afd75903bd7a8 3215 lisp optional clisp_2.49-8.2.dsc
 b169026bc287f7908f86e894430b99b4 32366 lisp optional clisp_2.49-8.2.debian.tar.gz
 4edc34c222fb1561c4169313348bd7b3 1209030 doc optional clisp-doc_2.49-8.2_all.deb
 1cc66ea2891a366a631a606937fcf1dc 3117502 lisp optional clisp_2.49-8.2_amd64.deb
 fd62e11c5573bff95d331bec22eaae36 1638956 lisp optional clisp-dev_2.49-8.2_amd64.deb
 4de624deb92e46cc317066ba660bb738 714198 lisp optional clisp-module-berkeley-db_2.49-8.2_amd64.deb
 22aaf4a83694fc025d0e27ba9d4e0ecf 625100 lisp optional clisp-module-pcre_2.49-8.2_amd64.deb
 d622849104d7293fb341ee6cfcb27072 741974 lisp optional clisp-module-bindings-glibc_2.49-8.2_amd64.deb
 30aabec8c365d0d78c3f110aabbba82c 644792 lisp optional clisp-module-postgresql_2.49-8.2_amd64.deb
 efdbe79316127f524d01869ae50dffb1 953208 lisp optional clisp-module-clx_2.49-8.2_amd64.deb
 23e79a523351380bc4ce960f7431d684 664954 lisp optional clisp-module-rawsock_2.49-8.2_amd64.deb
 0c0cf3e07635331308a77e3d42326344 679654 lisp optional clisp-module-dbus_2.49-8.2_amd64.deb
 949fe54310eb88ca2f4e2300d4d53a51 611050 lisp optional clisp-module-wildcard_2.49-8.2_amd64.deb
 36cbe608c55bef1e7f3feef4be57114a 633434 lisp optional clisp-module-gdbm_2.49-8.2_amd64.deb
 587164be68647ebf4f688a42f1fa4d98 611988 lisp optional clisp-module-zlib_2.49-8.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJRiXsKAAoJEAxI6ip6j/17nzEP+QFaJTsDXp8eOB10ptXNj5ly
q4edlOo69i/bXnLNWqtallk7N7omZ11qdx1kUFjxUc/8Ykd5phmYsEOIkUURABXj
BVLsk3r/e6ODSCRuW9OOaHlr4n5ue/JUKGRSU8xQ/bACjixdKaDaYi5gJKg5Ma+E
JW1nXmWqcrJYBseROV54FLKyoRPGANytnQzOMq/qUXjDFkdvAxofmAjvECGvXbe7
MYRPzxgRYwIF4ZRXdB04/yni7lA1RxD1tXqsx/4kfNki6qKh/XylCYio9VWARXmg
O90M201UJ7c449ue82yzZcsvYMqvzfm+ouuQ66GoYMtDX/CBwEb6RS+cFWrI9CbP
Ck/ZDtQJug3GHjud+5z7IhciQduJChePqpv0tWjgK+sdf94uZMWSsB/OX0NaUl85
fJjaOWhp+9/0tqPdDbMbHDFyZ61lURG4uMkLBH7mkXR8rIuXutBmkqV1jIUggEMr
CVT/dtW2tmHZEzgrUyy9Jm1hK9gfY45SqNIR0g6yScrZf1B2H6iF7LKzbwOVuwi7
T4xwOetB8C37E2B358RmnlDvZ2SPJu/3Cx0izSDDxYjaeNUtHM0DPlRgJLbQqBxx
BFnCdpTgDoiavUNsnQYQLPBI06c6KdlsyiuDSkRsBzIKhuO4O5hf8xV87pUt/vD8
/2ZvFpZxsrd92wvBnrWU
=QzI/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Jun 2013 07:51:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:59:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.